cancel
Showing results for 
Search instead for 
Did you mean: 

Eclipse Error during Database Studio startup

Former Member
0 Kudos
869

I have some MaxDB 7.7 and 7.8 databases on SLES11 x86_64. There is no Windows machine nearby so I cannot use good old (stable!) DBMGUI but I have to switch over to this fancy Databse Studio tool. Installation was no problem, but during there startup I get some error messages:

cd /sapdb/clients/DatabaseStudio/DatabaseStudio/
setenv PATH /sapdb/clients/DatabaseStudio/DatabaseStudio:$PATH
./dbstudio -vm /usr/java/jre1.5.0_11/bin/java
Xlib:  extension "RANDR" missing on display "localhost:1.0".

(%appName:15081): Gdk-CRITICAL **: gdk_draw_drawable: assertion `GDK_IS_DRAWABLE (drawable)' failed
Xlib:  extension "RANDR" missing on display "localhost:1.0".

I get a small pop-up window with this information text:

"An error has occurred. See the log file /sapdb/D93/sdb/DatabaseStudio/.metadata/.log."

The contents of this logfile are:

!SESSION 2011-03-29 13:03:02.301 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.5.0_11
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
Command-line arguments:  -os linux -ws gtk -arch x86_64

!ENTRY org.eclipse.ui 4 4 2011-03-29 13:03:11.856
!MESSAGE Plug-in 'com.sap.sdb.tools.ui' contributed an invalid Menu Extension (Path: 'org.eclipse.search.menu' is invalid): com.sap.sdb.tools.ui.dbstudiosearchaction

!ENTRY org.eclipse.ui.workbench 4 0 2011-03-29 13:03:14.271
!MESSAGE Widget disposed too early!
!STACK 0
java.lang.RuntimeException: Widget disposed too early!
        at org.eclipse.ui.internal.WorkbenchPartReference$1.widgetDisposed(WorkbenchPartReference.java:171)
        at org.eclipse.swt.widgets.TypedListener.handleEvent(TypedListener.java:117)
        at org.eclipse.swt.widgets.EventTable.sendEvent(EventTable.java:84)
        at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1158)
        at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1182)
        at org.eclipse.swt.widgets.Widget.sendEvent(Widget.java:1163)
        at org.eclipse.swt.widgets.Widget.release(Widget.java:1026)
        at org.eclipse.swt.widgets.Control.release(Control.java:3217)
        at org.eclipse.swt.widgets.Composite.releaseChildren(Composite.java:1184)
        at org.eclipse.swt.widgets.Widget.release(Widget.java:1029)
        at org.eclipse.swt.widgets.Control.release(Control.java:3217)
        at org.eclipse.swt.widgets.Composite.releaseChildren(Composite.java:1184)
        at org.eclipse.swt.widgets.Widget.release(Widget.java:1029)
        at org.eclipse.swt.widgets.Control.release(Control.java:3217)
        at org.eclipse.swt.widgets.Composite.releaseChildren(Composite.java:1184)
        at org.eclipse.swt.widgets.Canvas.releaseChildren(Canvas.java:211)
        at org.eclipse.swt.widgets.Decorations.releaseChildren(Decorations.java:466)
        at org.eclipse.swt.widgets.Shell.releaseChildren(Shell.java:1948)
        at org.eclipse.swt.widgets.Widget.release(Widget.java:1029)
        at org.eclipse.swt.widgets.Control.release(Control.java:3217)
        at org.eclipse.swt.widgets.Widget.dispose(Widget.java:442)
        at org.eclipse.swt.widgets.Shell.dispose(Shell.java:1893)
        at org.eclipse.swt.widgets.Display.release(Display.java:3083)
        at org.eclipse.swt.graphics.Device.dispose(Device.java:237)
        at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:129)
        at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:193)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:382)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:549)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:504)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1236)
        at org.eclipse.equinox.launcher.Main.main(Main.java:1212)

Now what does this error message mean? Or how could I fix this problem?

Regards,

Mark

Accepted Solutions (1)

Accepted Solutions (1)

andreas_giger
Discoverer
0 Kudos

The problem can be solved by adding the line

-Dorg.eclipse.swt.browser.XULRunnerPath=/usr/lib/xulrunner-1.9.1 (check the version installed on your system)

in the DB Studio configuration file

/sapdb/clients/DatabaseStudio/DatabaseStudio/dbstudio.ini

See also the following thread:

Regards

Andy

Answers (1)

Answers (1)

Former Member
0 Kudos

Addendum: This was also in the log file, forgot to post it in my initial post:


!ENTRY org.eclipse.osgi 2 0 2011-03-29 13:03:16.633
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-03-29 13:03:16.633
!MESSAGE Bundle update@eclipse/plugins/com.sap.sdb.tools.ui.report_7.8.1.v201007081836/ was not resolved.
!SUBENTRY 2 com.sap.sdb.tools.ui.report 2 0 2011-03-29 13:03:16.633
!MESSAGE Missing required bundle org.eclipse.birt.report.engine_0.0.0.
!SUBENTRY 2 com.sap.sdb.tools.ui.report 2 0 2011-03-29 13:03:16.633
!MESSAGE Missing required bundle org.eclipse.birt.report.viewer_0.0.0.
!SUBENTRY 2 com.sap.sdb.tools.ui.report 2 0 2011-03-29 13:03:16.634
!MESSAGE Missing required bundle org.eclipse.birt.report.model_0.0.0.
!SUBENTRY 2 com.sap.sdb.tools.ui.report 2 0 2011-03-29 13:03:16.634
!MESSAGE Missing required bundle org.eclipse.birt.core_0.0.0.

!ENTRY org.eclipse.osgi 2 0 2011-03-29 13:03:16.635
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2011-03-29 13:03:16.636
!MESSAGE Bundle update@eclipse/plugins/com.sap.sdb.tools.ui.report_7.8.1.v201007081836/ [167] was not resolved.
!SUBENTRY 2 com.sap.sdb.tools.ui.report 2 0 2011-03-29 13:03:16.636
!MESSAGE Missing required bundle org.eclipse.birt.core_0.0.0.
!SUBENTRY 2 com.sap.sdb.tools.ui.report 2 0 2011-03-29 13:03:16.636
!MESSAGE Missing required bundle org.eclipse.birt.report.engine_0.0.0.
!SUBENTRY 2 com.sap.sdb.tools.ui.report 2 0 2011-03-29 13:03:16.636
!MESSAGE Missing required bundle org.eclipse.birt.report.model_0.0.0.
!SUBENTRY 2 com.sap.sdb.tools.ui.report 2 0 2011-03-29 13:03:16.636
!MESSAGE Missing required bundle org.eclipse.birt.report.viewer_0.0.0.